Name:           python-exegol
Version:        5.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python wrapper to use Exegol, a container based fully featured and community-driven hacking environment.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://exegol.readthedocs.io/
Source:         %{pypi_source exegol}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'exegol' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-exegol
Summary:        %{summary}

%description -n python3-exegol %_description


%prep
%autosetup -p1 -n exegol-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-exegol -f %{pyproject_files}


%changelog
%autochangelog